SDL_AndroidGetExternalStorageState(3)

NAME
SDL_AndroidGetExternalStorageState - Get the current state of external storage.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AndroidGetExternalStorageState(Uint32 *state);

DESCRIPTION
The current state of external storage, a bitmask of these values: SDL_ANDROID_EXTERNAL_STORAGE_READ , SDL_ANDROID_EXTERNAL_STORAGE_WRITE . If external storage is currently unavailable, this will return 0.

FUNCTION PARAMETERS

state
    filled with the current state of external storage. 0 if external storage is currently unavailable.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AndroidGetExternalStoragePath(3)